org.apache.ignite.springdata.repository

## Interface IgniteRepository<T,ID extends Serializable>

- All Superinterfaces:
    org.springframework.data.repository.CrudRepository<T,ID>, org.springframework.data.repository.Repository<T,ID>
  All Known Implementing Classes:
    IgniteRepositoryImpl

      public interface IgniteRepository<T,ID extends Serializable>
      extends org.springframework.data.repository.CrudRepository<T,ID>

  Apache Ignite repository that extends basic capabilities of `CrudRepository`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteAll(Iterable<ID> ids)` Deletes all the entities for the provided ids.
    `<S extends T> S` | `save(ID key, S entity)` Saves a given entity using provided key.
    `<S extends T> Iterable<S>` | `save(Map<ID,S> entities)` Saves all given keys and entities combinations.

    - ### Methods inherited from interface org.springframework.data.repository.CrudRepository

      `count, delete, deleteAll, deleteAll, deleteById, existsById, findAll, findAllById, findById, save, saveAll`

- - ### Method Detail

    - #### save

          <S extends T> S save(ID key,
                               S entity)

      Saves a given entity using provided key. It's suggested to use this method instead of default `CrudRepository.save(Object)` that generates IDs (keys) that are not unique cluster wide.
      Type Parameters:
        `S` - Entity type.
      Parameters:
        `key` - Entity's key.
        `entity` - Entity to save.
      Returns:
        Saved entity.

    - #### save

          <S extends T> Iterable<S> save(Map<ID,S> entities)

      Saves all given keys and entities combinations. It's suggested to use this method instead of default `CrudRepository#save(Iterable)` that generates IDs (keys) that are not unique cluster wide.
      Type Parameters:
        `S` - type of entities.
      Parameters:
        `entities` - Map of key-entities pairs to save.
      Returns:
        Saved entities.

    - #### deleteAll

          void deleteAll(Iterable<ID> ids)

      Deletes all the entities for the provided ids.
      Parameters:
        `ids` - List of ids to delete.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020